curl --request PATCH \
--url https://api.example.com/api/v1/bots/{object_id}/transcription_settings \
--header 'Content-Type: application/json' \
--data '
{
"deepgram.language": "<string>",
"deepgram.model": "<string>",
"deepgram.keyterms": [
{}
],
"deepgram.redact": [
{}
],
"deepgram.use_eu_server": true,
"openai.model": "<string>",
"openai.language": "<string>",
"openai.prompt": "<string>",
"meeting_closed_captions.google_meet_language": "<string>",
"meeting_closed_captions.zoom_language": "<string>",
"meeting_closed_captions.teams_language": "<string>"
}
'curl --request PATCH \
--url https://api.example.com/api/v1/bots/{object_id}/transcription_settings \
--header 'Content-Type: application/json' \
--data '
{
"deepgram.language": "<string>",
"deepgram.model": "<string>",
"deepgram.keyterms": [
{}
],
"deepgram.redact": [
{}
],
"deepgram.use_eu_server": true,
"openai.model": "<string>",
"openai.language": "<string>",
"openai.prompt": "<string>",
"meeting_closed_captions.google_meet_language": "<string>",
"meeting_closed_captions.zoom_language": "<string>",
"meeting_closed_captions.teams_language": "<string>"
}
'Updates the transcription settings for a bot. This endpoint is not explicitly defined in the current OpenAPI spec but follows the pattern of other bot settings endpoints.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/attendee-labs/attendee/llms.txt
Use this file to discover all available pages before exploring further.
Authorization header.
bot_xxxxxxxxxxx)pci, pii, or numbers.gpt-4o-transcribe, gpt-4o-mini-transcribe, or gpt-4o-transcribe-diarize.curl -X PATCH https://app.attendee.dev/api/v1/bots/bot_weIAju4OXNZkDTpZ/transcription_settings \
-H "Authorization: Token YOUR_API_KEY_HERE" \
-H "Content-Type: application/json" \
-d '{
"deepgram": {
"language": "en",
"model": "nova-3",
"keyterms": ["product", "revenue", "KPI"]
}
}'
curl -X PATCH https://app.attendee.dev/api/v1/bots/bot_weIAju4OXNZkDTpZ/transcription_settings \
-H "Authorization: Token YOUR_API_KEY_HERE" \
-H "Content-Type: application/json" \
-d '{
"deepgram": {
"language": "multi",
"redact": ["pii", "pci"]
}
}'